function xc = clip(x, x_lo, x_hi)
%
% CLIP: xc = clip(x, x_lo, x_hi);
%
% Clip x so that xc falls within the range x_lo <= xc <= x_hi
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

xc = x;
lo_ind = find(x < x_lo);
if (~isempty(lo_ind))
  xc(lo_ind) = x_lo;
end

hi_ind = find(x > x_hi);
if (~isempty(hi_ind))
  xc(hi_ind) = x_hi;
end
