function delete_polygon(Z)
% 
% DELETE_POLYGON: delete_polygon(Z)
%
% Delete the polygon defined by the (N+1) x 4 matrix Z
%
% INPUT:
% -----
% Z - (N+1) x 4 matrix from draw_polygon
%
% OUTPUT:
% ------
% none (removal of the polygon lines and points corresponding to Z from figure)
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

delete(Z(:,3));
delete(Z(2:size(Z,1),4));
Z(:,3:4) = zeros(size(Z,1),2);
