function stathopoulos_get
%
% STATHOPOULOS_GET: stathopoulos_get
%
% Retrieve drosophila CSLM image stack over web (unix only).
%
%---------------------------------------------------------------------------------------
% BEGIN CDS DEPENDENCIES
% construct_fname.m
% url_get.m
% END CDS DEPENDENCIES
%---------------------------------------------------------------------------------------

idir = 'http://computableplant.caltech.edu/dorsalgfp/';
isuff = '.TIF';
odir = '/proj/og1/biology/stathopoulos/data/';
url = cell(1,1);

for i = 0:125
  url{1,1} = construct_fname([idir, '40X'], isuff, i, 3);
  url_get(url, odir);
end

for i = 0:64
  url{1,1} = construct_fname([idir, 'DLGFP'], isuff, i, 3);
  url_get(url, odir);
end
